Repository 32bit  Forum
Repository 64bit  Wiki

Deluge su fluxbox [RISOLTO]

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Deluge su fluxbox [RISOLTO]

Messaggioda hashbang » mer set 01, 2010 13:24

Ho pacchettizzato deluge sulla slackware-current (il pacchetto era disponibile solo per la 13.0, ma appena riuscirò a capire l'entità di questo problema lo pacchettizzo per la 13.1). Uso fluxbox e l'output che il terminale mi indica aprendo deluge è:
Codice: Seleziona tutto
bash-4.1$ deluge
[ERROR   ] 14:20:02 config:427 Error backing up old config..
[ERROR   ] 14:20:02 ui:146 No module named zope.interface
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/deluge/ui/ui.py", line 127, in __init__
    from deluge.ui.gtkui.gtkui import GtkUI
  File "/usr/lib/python2.6/site-packages/deluge/ui/gtkui/__init__.py", line 1, in <module>
    from gtkui import start
  File "/usr/lib/python2.6/site-packages/deluge/ui/gtkui/gtkui.py", line 40, in <module>
    from twisted.internet import gtk2reactor
  File "/usr/lib/python2.6/site-packages/twisted/internet/gtk2reactor.py", line 25, in <module>
    from zope.interface import implements
ImportError: No module named zope.interface
[ERROR   ] 14:20:02 ui:147 There was an error whilst launching the request UI: gtk
[ERROR   ] 14:20:02 ui:148 Look at the traceback above for more information.
Preciso inoltre che ho ripacchettizzato le dipendenze
Ultima modifica di hashbang il mer set 01, 2010 16:57, modificato 1 volta in totale.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Deluge su fluxbox

Messaggioda Naitso » mer set 01, 2010 13:57

Se non ricordo male le dipendenze di deluge sono
Codice: Seleziona tutto
libtorrent-rasterbar, pyxdg, pysetuptools, python-twisted, zope.interface, pyOpenSSL, chardet, and Mako.


ImportError: No module named zope.interface

zope, sempre se non erro, serve per l'interfaccia web....

EDIT: che poi l'errore non centra nulla con fluxbox...

Ciao
Avatar utente
Naitso
Linux 2.0
Linux 2.0
 
Messaggi: 194
Iscritto il: lun nov 10, 2008 15:09

Re: Deluge su fluxbox

Messaggioda albatrosla » mer set 01, 2010 13:59

Ti mancano delle dipendenze; comunque il malfunzionamento non ha a che fare con fluxbox.
albatrosla
Packager
Packager
 
Messaggi: 1294
Iscritto il: sab mar 27, 2004 0:00
Località: Bressa - Friuli / Torino
Slackware: current
Desktop: fluxbox.git

Re: Deluge su fluxbox

Messaggioda hashbang » mer set 01, 2010 14:15

pensavo fosse per le gtk poi anche io mi sono accorto di zope.interface...comunque appena ripacchettizzo deluge per la 13.1 segnalo zope.interface perchè non viene segnalato come dipendenza
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Deluge su fluxbox

Messaggioda albatrosla » mer set 01, 2010 14:58

Vero, non è elencata: dev'essere un refuso legato al fatto che required-builder non la trova e non la include nello slack-required. Correggerò.
atomix600: hai MP.
albatrosla
Packager
Packager
 
Messaggi: 1294
Iscritto il: sab mar 27, 2004 0:00
Località: Bressa - Friuli / Torino
Slackware: current
Desktop: fluxbox.git

Re: Deluge su fluxbox

Messaggioda hashbang » mer set 01, 2010 16:56

albatrosla: letto ;) comunque risolto con l'installazione di zope.interface
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite